Figure - Bug #117807
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT3O O Monkeyd Monkeyd 0 480 O O O O CRASH: com.android.settings 261
2023-05-08 13:54 - CD TEST-0 0 [

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CDTEST-UDOO % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095
Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-09

Test Type: ST Root cause: AoSPOOUOnbgagd
Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes
--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10
--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

// CRASH: com.android.settings (pid 32162)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: android.widget.HeaderViewListAdapter cannot be cast to
com.android.internal.view.menu.MenuAdapter

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys
// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.ClassCastException: android.widget.HeaderViewListAdapter cannot be cast to com.android.internal.view.menu.MenuAdapter
// atandroid.widget. MenuPopupWindow$MenuDropDownListView.onKeyDown(MenuPopupWindow.java:141)
// atandroid.view.KeyEvent.dispatch(KeyEvent.java:2854)

//  atandroid.view.View.dispatchKeyEvent(View.java:14478)

// atandroid.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1959)

// atandroid.widget.ListView.dispatchKeyEvent(ListView.java:2348)

/' atandroid.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

// atandroid.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

// atandroid.widget.PopupWindow$PopupDecorView.dispatchKeyEvent(PopupWindow.java:2544)
//  atandroid.view.ViewRootImpl$ViewPostImelnputStage.processKeyEvent(ViewRootImpl.java:6293)
// atandroid.view.ViewRootImpl$ViewPostImelnputStage.onProcess(ViewRootimpl.java:6159)

// atandroid.view.ViewRootIimpl$InputStage.deliver(ViewRootImpl.java:5641)

//  atandroid.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)
//atandroid.view.ViewRootimpl$InputStage.forward (ViewRootImpl.java:5664)

//  atandroid.view.ViewRootImpl$AsyncinputStage.forward(ViewRootImpl.java:5829)

//  atandroid.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

// atandroid.view.ViewRootimpl$AsyncinputStage.apply(ViewRootImpl.java:5886)
/latandroid.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

// atandroid.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)
at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)
at android.view.ViewRootImpl$InputStage.forward(ViewRootIimpl.java:5664)

at android.view.ViewRootImpl$AsyncinputStage.forward(ViewRootImpl.java:5829)

at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

at android.view.ViewRootImpl$AsyncinputStage.apply(ViewRootImpl.java:5886)

at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)
at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

at android.view.ViewRootImpl$InputStage.onDeliver ToNext(ViewRootImpl.java:5698)
at android.view.ViewRootImpl$InputStage.forward(ViewRootIimpl.java:5664)

at android.view.ViewRootImpl$AsyncinputStage.forward(ViewRootImpl.java:5829)

at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

at android.view.ViewRootImpl$AsyncinputStage.apply(ViewRootImpl.java:5886)

at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

at android.view.ViewRootImpl.deliverinputEvent(ViewRootImpl.java:8585)

at android.view.ViewRootImpl.doProcessIinputEvents(ViewRootImpl.java:8536)

at android.view.ViewRootImpl.enqueuelnputEvent(ViewRootImpl.java:8504)

at android.view.ViewRootImpl$WindowlInputEventReceiver.onInputEvent(ViewRootImpl.java:8709)
at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)
at android.os.MessageQueue.nativePollOnce(Native Method)

at android.os.MessageQueue.next(MessageQueue.java:335)

at android.os.Looper.loopOnce(Looper.java:161)

at android.os.Looper.loop(Looper.java:288)

at android.app.ActivityThread.main(Activity Thread.java:7880)

at java.lang.reflect. Method.invoke(Native Method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)

Related issues:

Related to Figure - Bug # 117805: 0 AF 0 EVT30 O Monkey( Monke... CLOSED 2023-05-08
History
#1 - 2023-05-08 14:00 - CD TEST-0O O O
oooo
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808
#2 - 2023-05-08 14:57 - CD TEST-0 O O
- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.50 0 0 0 0O 0O O to
FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.60 0 0 0 0 O O O
#3 - 2023-05-09 09:49 - IoT scm
Gerrit Merge Information(]
1D Project Branch Uploader
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

198383 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:SystemOptimization: Fix MenuPopupWindow adapter cast error.TC-RID: 1201-02051011ssuelD: TS-R-BUG-117807Change-1d:
1996b448f66eb9ce0572e7b965f0ba2bllelelaf2

#4 - 2023-05-09 09:56 - CD FW-0 O

- Status changed from New to RESOLVED

- Assignee changed from CD FW-[0 O to CD TEST-00 O O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-09
-RootcausesettoAOSPO O OO O OO

m Current conclusion

gooooooooo

m My analysis
AOSPO O OO0 BUGODOOODO

m Nextaction

ooooo

#5-2023-05-1218:08 - CD TEST-0O O O

5.12

00990 O O

#6 - 2023-05-1513:49-CD TEST-O O O

5.15

1B0DBOOO

oooooooo

#7 - 2023-05-16 14:18 - CD TEST-0O0 O O

5.16

150 DBO OO
ooo

#8 - 2023-05-16 14:18 - CD TEST-0 O O
- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-16 14:18 - CD TEST-O O O
- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CDTEST-0 OO
